org.opencv.photo

## Class TonemapMantiuk

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.Tonemap
    - - org.opencv.photo.TonemapMantiuk

-     public class TonemapMantiuk
      extends Tonemap

  This algorithm transforms image to contrast using gradients on all levels of gaussian pyramid, transforms contrast values to HVS response and scales the response. After this the image is reconstructed from new contrast values. For more information see CITE: MM06 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TonemapMantiuk(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TonemapMantiuk` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getSaturation()`
    `float` | `getScale()`
    `void` | `setSaturation(float saturation)`
    `void` | `setScale(float scale)`

    - ### Methods inherited from class org.opencv.photo.Tonemap

      `getGamma, process, setGamma`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TonemapMantiuk

          protected TonemapMantiuk(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TonemapMantiuk __fromPtr__(long addr)

    - #### getSaturation

          public float getSaturation()

    - #### getScale

          public float getScale()

    - #### setSaturation

          public void setSaturation(float saturation)

    - #### setScale

          public void setScale(float scale)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Tonemap`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8